Class UmlComponentDiagram

This class manages 'ccomponent diagrams', notes that the class 'UmlDiagram'
is a mother class of all the diagrams, allowing to generalize their
management
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlComponentDiagram : public UmlBaseComponentDiagram
- Java : class UmlComponentDiagram extends UmlBaseComponentDiagram

Artifact : UmlComponentDiagram

Operation UmlComponentDiagram

Declaration :

- Uml : + UmlComponentDiagram(in id : item_id, in n : string) :
- C++ : public: UmlComponentDiagram(void * id, const QCString & n) : UmlBaseComponentDiagram(id, n)
- Java : public UmlComponentDiagram(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload